Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdom.adapters
Class AbstractDOMAdapter

    java.lang.Object
      |
      +--org.jdom.adapters.AbstractDOMAdapter

Direct Known Subclasses:
  CrimsonDOMAdapter, JAXPDOMAdapter, OracleV1DOMAdapter, OracleV2DOMAdapter, XercesDOMAdapter, XML4JDOMAdapter

public abstract class AbstractDOMAdapter
extends java.lang.Object
implements DOMAdapter

A DOMAdapter utility abstract base class.

Version:
  $Revision: 1.20 $, $Date: 2004/02/06 09:28:31 $
Author:
  Brett McLaughlin, Jason Hunter

Constructor Summary
`AbstractDOMAdapter()`

Method Summary
`abstract org.w3c.dom.Document` | `createDocument()` This creates an empty `Document` object based on a specific parser implementation.
`org.w3c.dom.Document` | `createDocument(DocType doctype)` This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE.
`org.w3c.dom.Document` | `getDocument(java.io.File filename, boolean validate)` This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.
`abstract org.w3c.dom.Document` | `getDocument(java.io.InputStream in, boolean validate)` This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.
`protected void` | `setInternalSubset(org.w3c.dom.DocumentType dt, java.lang.String s)` This attempts to change the DocumentType to have the given internal DTD subset value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractDOMAdapter

    public AbstractDOMAdapter()

Method Detail

### getDocument

    public org.w3c.dom.Document getDocument(java.io.File filename,
                                            boolean validate)
                                     throws java.io.IOException,
                                            JDOMException

  This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.
  Specified by:
    getDocument in interface DOMAdapter
  Parameters:
    `filename` - file to parse.
    `validate` - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws:
    java.io.IOException - when I/O error occurs.
    JDOMException - when errors occur in parsing.

### getDocument

    public abstract org.w3c.dom.Document getDocument(java.io.InputStream in,
                                                     boolean validate)
                                              throws java.io.IOException,
                                                     JDOMException

  This creates a new ``Document`` from an existing `InputStream` by letting a DOM parser handle parsing using the supplied stream.
  Specified by:
    getDocument in interface DOMAdapter
  Parameters:
    `in` - `InputStream` to parse.
    `validate` - `boolean` to indicate if validation should occur.
  Returns:
    `Document` - instance ready for use.
  Throws:
    java.io.IOException - when I/O error occurs.
    JDOMException - when errors occur in parsing.

### createDocument

    public abstract org.w3c.dom.Document createDocument()
                                                 throws JDOMException

  This creates an empty `Document` object based on a specific parser implementation.
  Specified by:
    createDocument in interface DOMAdapter
  Returns:
    `Document` - created DOM Document.
  Throws:
    JDOMException - when errors occur.

### createDocument

    public org.w3c.dom.Document createDocument(DocType doctype)
                                        throws JDOMException

  This creates an empty `Document` object based on a specific parser implementation with the given DOCTYPE. If the doctype parameter is null, the behavior is the same as calling `createDocument()`.
  Specified by:
    createDocument in interface DOMAdapter
  Parameters:
    `doctype` - Initial `DocType` of the document.
  Returns:
    `Document` - created DOM Document.
  Throws:
    JDOMException - when errors occur.

### setInternalSubset

    protected void setInternalSubset(org.w3c.dom.DocumentType dt,
                                     java.lang.String s)

  This attempts to change the DocumentType to have the given internal DTD subset value. This is not a standard ability in DOM, so it's only available with some parsers. Subclasses can alter the mechanism by which the attempt is made to set the value.
  Parameters:
    `dt` - DocumentType to be altered
    `s` - String to use as the internal DTD subset

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JDOM 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Jason Hunter, Brett McLaughlin. All Rights Reserved.